VIRTNBDMAP(1)

NAME
virtnbdmap - map virtnbdbackup image files to nbd devices

DESCRIPTION
usage: virtnbdmap [-h] -f FILE [-b BLOCKSIZE] [-d DEVICE] [-e EXPORT_NAME]

    [-t THREADS] [-l LISTEN_ADDRESS] [-p LISTEN_PORT] [-n] [-L LOGFILE] [--nocolor] [-r] [-H] [-v] [-V]

Map backup image(s) to block device

  options:

-h, --help
    show this help message and exit

  General options:

-f, --file FILE
    List of Backup files to map

-b, --blocksize BLOCKSIZE
    Maximum blocksize passed to nbdkit. (default: 4096)

-d, --device DEVICE
    Target device. (default: /dev/nbd0)

-e, --export-name EXPORT_NAME
    Export name passed to nbdkit. (default: sda)

-t, --threads THREADS
    Amount of threads passed to nbdkit process. (default: 1)

-l, --listen-address LISTEN_ADDRESS
    IP Address for nbdkit process to listen on. (default: 127.0.0.1)

-p, --listen-port LISTEN_PORT
    Port for nbdkit process to listen on. (default: 10809)

-n, --noprogress
    Disable progress bar

  Logging options:

-L, --logfile LOGFILE
    Path to Logfile (default: /home/abi/virtnbdmap.log)

--nocolor
    Disable colored output (default: False)

  Debug options:

-r, --readonly
    Map image readonly (default: False)

-H, --hexdump
    Hexdump data to logfile for debugging (default: False)

-v, --verbose
    Enable debug output

-V, --version
    Show version and exit

EXAMPLES

    # Map full backup to device /dev/nbd0:

    virtnbdmap -f /backup/sda.full.data

    # Map full backup to device /dev/nbd2:

    virtnbdmap -f /backup/sda.full.data -d /dev/nbd2

    # Map sequence of full and incremental to device /dev/nbd2:

    virtnbdmap -f /backup/sda.full.data,/backup/sda.inc.1.data -d /dev/nbd2